defmodule DecentralisedBookIndex.Accounts.Role do
  use Ash.Type.Enum, values: [:user, :moderator, :admin]

  def can_moderate?(role) when is_atom(role) do
    role in [:moderator, :admin]
  end

  def can_administrate?(role) when is_atom(role) do
    role == :admin
  end
end
